"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.resolveFrom = resolveFrom;
function _resolve() {
  const data = require("resolve");
  _resolve = function () {
    return data;
  };
  return data;
}
function resolveFrom(fromDir, moduleIds) {
  if (moduleIds.length === 0) return fromDir;
  const [moduleId, ...rest] = moduleIds;
  // We use the "resolve" library because the native "require.resolve" method uses a cache.
  // So with the native resolve method we cannot check the same path twice.
  return resolveFrom((0, _resolve().sync)(moduleId, {
    basedir: fromDir,
    preserveSymlinks: false
  }), rest);
}

//# sourceMappingURL=module-resolver.js.map